<?php
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'../config.php';
$align='left';
$title='Мафия';
aut();
head();
$rmmaf  = check(intval($_GET['rmmaf']));
$go  = check($_GET['go']);
switch ($go){

case "mafia":


echo "<b>Об игре</b><br/>
Сценарий:
Хорошие играют против плохих:) Чтобы ЗАПУСТИТЬ игру, необходимо написать слово ''!старт'' (либо !start). Написать данную команду достаточно одному человек и начнется трехминутный этап регистрации игроков. Игра НАЧНЕТСЯ если будут зарегистрированы в текущей игре более 2 человек. (минимум 3 нужно бля игры) Регистрироваться  нужно путем написания в чат команды. (команды !рег или !reg). По окончанию регистрации Ведущий (бот Мафиози) раздает роли. О положениях ролей, читайте в след. пунктах правил.
";

break;

case "o":


echo "<b>О персожаже: Обыватель</b><br/>
Простой мирный житель.
Цель персонажа: Единственная цель простых мирных жителей, это попытаться вычислить мафию (Мафов и главу) и при голосовании на казнь выдвигать данных игроков.
Миссия персонажа: Просто выжить в течении игры. За чистое выживание в текущей игре, обыватель получает 100 очков!
";

break;

case "gm":


echo "<b>О персожаже: Главарь Мафов</b><br/>
Главарь банды мафов. И этим все сказано.
Цели персонажа: Когда наступает ночь, главе мафов, можно посоветоваться с союзниками (Пресонажи - Мафиози является союзниками Главы.) о том кого прикончить этой ночью. По-этому единственная цель главаря - убивать.
Миссия персонажа: Расправиться со всеми мирными жителями включая Комиссара Катани, только тогда Мафия выграет игру.
";

break;

case "kk":


echo "<b>О персожаже: Комиссар Катани</b><br/>
Сущность персонажа: Бравый Комиссар, отслеживающий злобную мафию.
Миссия персонажа: Отследить (провести расследование) кто является членом мафии и уничтожить всех ее представителей. Победа будет тогда, когда все мафы будут вне игры.
";

break;

case "d":


echo "<b>О персожаже: Доктор</b><br/>
Сущность персонажа: Городской док, озабоченый тем, что каждую ночь, ему необходимо кого-нибудь вылечить )))
Миссия персонажа: Просто выжить самому, и помогать мирным или мафам, (тут как придется ))) Доктор может восстановить даже уже убитых персонажей, в !текущем! ходу.
";

break;

case "maf":


echo "<b>О персожаже: Мафиози</b><br/>
Сущность персонажа: Простой помощник Главаря. Помогает выслеживать мирных жителей и сообщает об этом главе. А глава уже сам расправляется с мирными.
Миссия персонажа: Т.к. убивать маф возможности не имеет, по-этому его миссия помогать всячески своему начальнику ) т.е. Главарю мафии. Цель: Постараться не выдать себя как можно дольше, либо внаглую казнить главаря мафии и занять его почетное место. В общем, тут нужно уметь как следует врать и изворачиваться :)
";

break;

case "man":


echo "<b>О персожаже: Маньяк</b><br/>
Сущность персонажа: Жестоки маньяк со своим любимейшим орудием убийства - топором!
Миссия персонажа: Тупо зверски уничтожать всех кого придется и постараться выжить до конца текущей игры :) Будь то это маф или простой обыватель. За каждое убийство, маньяку бегут хорошие очки. Любимый метод убийства маньяка: \"Топор в жопу\". =)
";

break;

case "puss":


echo "<b>О персожаже: Путана</b><br/>
Сущность персонажа: Валютная девушка. ;)
Миссия персонажа: Цель проста. Просто нужно отвлечь важных персонажей от игры (главаря, дока, катани и др.), тем самым клиент путаны потеряет возможность одного хода.
";

break;

case "b":


echo "<b>О персожаже: Бомж</b><br/>
Сущность персонажа: Шпион инспектора Катани, который лазиет по помойкам в поисках бутылок, а заодно и выясняет кто есть кто.
Миссия персонажа: Ему тоже лучше всего не рассказывать всем, что он бомж, потому как мафия доносчиков не особо любит. Миссия бомжа примерно такая же, как и у мафа. Помогать главе мирных (Катани), путем распознания членов банды мафов. Вот только убить Катани и занять его почетное место, бомжу неудастся! =)
";

break;

case "g":


echo "<b>О персожаже: Горец</b><br/>
Сущность персонажа: Мирный персонаж. Бессмертный. Убить его может только маньяк, порезав на мелкие кусочки, либо его могут повесить днем на суде Линча. В остальном ничем не отличается от обычного обывателя.
Миссия персонажа: Как и у мирных жителей - просто выжить...
";

break;

case "k":

echo "<b>О персожаже: Клоун</b><br/>
Сущность персонажа: Уникальный персонаж, не похожий на других. Считается за мирного.
Миссия персонажа: Главная его задача - максимально запутать игру, за что он и получает очки. Один раз за игру он может поменять роли любых двух игроков. Клоун единственный, кому путана не может помешать выполнить свою роль.
";

break;

case "zhek":


echo "<b>О персожаже: Жена Комиссара</b><br/>
Сущность персонажа: По уши влюбленная в своего мужа, готова отдать жизнь за него. Действует, когда убивают комиссара (если сама еще жива).
Миссия персонажа: Мстить за смерть своего любимого Комиссара - убить любого чеговека, но только один раз.
";

break;

case "hod":


echo "<b>Действия игры</b><br/>
Наступает ночь, мафиози обсуждают в приватах, кого они прикончат, затем главный делает заказ на этого человека; все остальные игроки с ролями также делают свои заказы, естественно, кроме мирных жителей, которым просто следует молиться, чтобы их не убили в первую же ночь. После того, как все заказы сделаны, наступает день. Если кто-то не успел сделать свой заказ, то Ведущий автоматически убирает этого человека из игры - в следующий раз будете меньше тормозить. Итак, наступает день. Все выжившие могут посочувствовать не пережившим эту ночь, и должны выбрать кандидата на казнь. Твердым аргументом здесь могут послужить слова девки или бомжа, но следует хорошо подумать: а действительно ли это девка или бомж? Поэтому основная задача мирных жителей - думать своей головой, так как злобные мафы и маньяк могут склонить жителей на свою сторону, всех одурачив. Кандидата можно повесить или оправдать, если же голоса разделяются поровну - кандидат остается жив и снова наступает ночь. Если жители не могут никого предложить, то через некоторое время также наступает ночь. Все трупы - лишаются ''плюса'' и переходят в разряд простых наблюдателей игры. Таким образом, тот, кто больше всех заврался или всех убедил и умудрился дожить до конца игры - победитель :) Игра продолжается до тех пор, пока не останется только одна из группировок: горожане или мафия (или маньяк).
<br/><b>Обязательные условия</b>
<br/>1.    Запрещено матюгаться и оскорблять игроков.
<br/>2.    Умершие не имеют права лезть ко всем живим в приваты и сообщать что они выяснили.
<br/>3.    Ночью нельзя сообщать роли.
";

break;

case "balls":


echo "<b>Баллы за игру (Очки мафиози)</b><br/>
<b>Начисление очков за победу:</b><br/>
<b><i>1).</i></b> При победе мирных выжившие обыватели получают по 100 очков, остальные живые по 50 очков.<br/>
<b><i>2).</i></b> При победе мафов все выжившие мафиози получают по 50 очков.<br/>
<b><i>3).</i></b> При ничьей все выжившие игроки получают по 25 очков.<br/>
<b>Начисление очков за действия:</b><br/>
<b><i>1).</i></b> Комиссар катани получает +5 очков за проверку, +-20 очков за убийство, в зависимости от того, кого он убил, мирного, или мафа.<br/>
<b><i>2).</i></b> Мафия за любое убийство получает +10 очков.<br/>
<b><i>3).</i></b> Маньяк получает +20 очков, если он убил мафа, и -5 очков, если зарезал мирного.<br/>
<b><i>4).</i></b> Доктор за любое лечение получает +5 очков, если он при этом еще и угадал, кого лечить, то получает еще +15 очков.<br/>
<b><i>5).</i></b> Бомж получает +5 очков за изучение чужих карманов.<br/>
<b><i>6).</i></b> Путана получает +5 очков каждый раунд, пока она жива, и выбирает ночью кого-то.<br/>
<b><i>7).</i></b> Жена комиссара получает 50 очков за месть.<br/>
<b><i>8).</i></b> Клоун получает (30*текущий_раунд) очков за смену ролей (то есть, если он сменил роли в первую же ночь, получает 30 очков, во вторую - 60 и так далее).<br/>
Помните, если вас отвлекла путана, то действие не засчитывается!<br/>
<b>Внимание!</b> За преждевременный уход из игры с вас снимается сразу 100 очков!
";

break;

default:

echo "<b>Разделы подсказок:</b><br/>";
echo "<a href=\"?go=mafia\">Общая информация</a><br/>";
echo "<a href=\"?go=hod\">Ход игры</a><br/>";
echo "<a href=\"?go=balls\">Распределение очков</a><br/>";
echo "<a href=\"?go=o\">Обыватель</a><br/>";
echo "<a href=\"?go=gm\">Главарь мафии</a><br/>";
echo "<a href=\"?go=kk\">Комиссар Катани</a><br/>";
echo "<a href=\"?go=d\">Доктор</a><br/>";
echo "<a href=\"?go=maf\">Мафиози</a><br/>";
echo "<a href=\"?go=man\">Маньяк</a><br/>";
echo "<a href=\"?go=puss\">Путана</a><br/>";
echo "<a href=\"?go=b\">Бомж</a><br/>";
echo "<a href=\"?go=g\">Горец</a><br/>";
echo "<a href=\"?go=k\">Клоун</a><br/>";
echo "<a href=\"?go=zhek\">Жена комиссара</a><br/>";


break;
}

echo '<br />';
if ((isset($go))&&($go!="")) echo gbinroom."<a href=\"?\">Правила игры</a>".div;
echo gbinroom."<a href=\"maf.php?&amp;rmmaf=1\">В игру</a>".div;
echo gbinroom."<a href=\"../enter.php?\">На Главную</a>".div;
foot();
?>